Subject: BOF on internet host proximity service
From: [email-masked] (Paul Francis)
To: [email-masked]
Date: Tue, 25 Mar 1997 13:37:20 +0900 (JST)

Hi,

I'll be running a BOF in Memphis on something I'm calling
the Internet Host Proximity Service (HOPS).  You can read
a white paper about it at http://www.ingrid.org/hops/wp.html,
and I've attached the abstract below.  The BOF has not yet
been given a time slot.

One of the elements of the HOPS architecture are systems
that listen to BGP routing information (and potentially
other routing information), pass it among themselves, and
use it to make host proximity estimates.  While none of
this has any effect on BGP per se, since it represents 
another use of BGP, I thought people in this group might
be interested.  In addition, I'm not so up-to-date on BGP
and especially its current usage, so would greatly appreciate
one or more BGP types showing up.

Any comments on the white paper are greatly appreciated.

Thanks,

PF

ps. I'm not on this mailing list, so any replies please
copy me.  Tx.

                   Abstract

The majority of Internet applications, such as web access
to a mirrored server, have the characteristic whereby a
"client" application wants to contact not a specific host,
but any, and usually the nearest, of a number of hosts that
can provide the desired information or function. This kind
of host access, however, goes completely unsupported in the
global Internet, and largely unsupported in even private
internets (intranets). This paper proposes an architecture,
called the Host Proximity Service (HOPS) that would allow
for an infrastructure to provide such service. The
architecture proposed here would allow such a service with
no changes to current client or server hosts.
- - - - - - - - - - - - - - - - -

Date: Sun, 16 Mar 1997 13:41:26 +0500 (GMT)
From: "Jesus Maria Arango - Ing. Comunicaciones FSM LTDA." <[email-masked]>
To: [email-masked]
Subject: Backup route
Sender: [email-masked]

Hello all,

I am an ISP who want's to connect to another ISP in other for both of us 
to have a backup link to the internet in case his link or my link to the
Internet comes down.

I will be advertising his networks through my Internet link and he will be
advertising my networks through his link too.

Is there any attribute (either transitive or non-transitive) in BGP that
allows me to advertise his networks, but that packets going to my
neighbor's AS are routed through my AS only when his Internet link is
down, no matter who the source is?

We use CISCO and have BGP already running.
What commands are needed to finish the setup?

Thanks in advance

- Jesus

- - - - - - - - - - - - - - - - -

To: [email-masked]
Cc: Marcia Beaulieu <[email-masked]>, [email-masked]
Subject: IDR  WG agenda
Date: Sun, 09 Mar 97 07:27:07 PST
From: Yakov Rekhter <[email-masked]>
Sender: [email-masked]

Folks,

Attached is the agenda for the IDR WG meeting at the next IETF:

0. Agenda bashing
1. BGP-4 Internet Draft (more clarifications)
2. BGP-4 multiprotocol extensions
3. BGP-5
4. Use of LOCAL_PREF vs MED to affect the next-hop decision
5. draft-chen-aggregation-framework-00.txt

We'll be meeting on Monday, April 7 from 15:30 till 17:30.

Yakov.
- - - - - - - - - - - - - - - - -

Date: Fri, 28 Feb 97 15:40 PST
From: [email-masked] (Randy Bush)
To: Paul Knight <[email-masked]>
Cc: [email-masked]
Subject: Re: IDR WG agenda
Sender: [email-masked]

> There is clearly a well-known community (NO_ADVERTISE) which looks like
> it should accomplish this (allowing setting a local-pref known only at a
> specific router).

We do not wish to prevent propagaton of the route.  We wish to prevent
further propagation of the information of the MED.

E.g. Frieda has two routers with which I peer at Seattle.  One has a DS3 to
Aukland and the other a DS3 to Kobe.  I would like to listen to her MEDs so
I send to the correct router.

I also happen to peer with her in Boston.  But I do not want my Banff router
to be able to be prejudiced by MEDs received from her in New Haven or in
Seattle.

randy
- - - - - - - - - - - - - - - - -